package com.fuzamei.mapperInterface;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.fuzamei.entity.ValuationAccount;

public interface ValuationAccountingMapper {

	int findAllInformations();

	List<ValuationAccount> queryValuationAccountingInformation(Map<String, Object> map);

	void insertInformationIntoTableByAdmin(Map<String, Object> map);

	void updateInformationByBank(Map<String, Object> map);

	void insertOperationHistoryInformationToDao(Map<String, Object> map);

	void insertInformationToAttachment(Map<String, Object> map);

	List<ValuationAccount> checkoutDownloadInformation(int fundId);

	int queryIfHasTheSameFundId(Integer fundId);

	ValuationAccount checkIfFundExists(@Param("fundId") Integer fundId, @Param("fundName") String fundName);

}
